<?php
namespace Teknisa\PCP\Services;

use Doctrine\DBAL\Connection;
use Zeedhi\Framework\DB\StoredProcedure\Param;
use Zeedhi\Framework\DB\StoredProcedure\StoredProcedure;

class CancelaRequisicaoProcedure extends StoredProcedure {

	public function __construct(Connection $connection, $procedureName = 'CANCELA_REQUI_RETIRADAINF') {
		parent::__construct($connection, $procedureName);
	}

	public function executeProcedure($P_CDFILIAL, $P_NRREQUISICAOINF, $P_CDOPERADOR, $P_NRORG) {

		$this->addParam(new Param('P_CDFILIAL', Param::PARAM_INPUT, $P_CDFILIAL));
		$this->addParam(new Param('P_NRREQUISICAOINF', Param::PARAM_INPUT, $P_NRREQUISICAOINF));
		$this->addParam(new Param('P_CDOPERADOR', Param::PARAM_INPUT, $P_CDOPERADOR));
		$this->addParam(new Param('P_NRORG', Param::PARAM_INPUT, $P_NRORG));
	    // $this->addParam(new Param('P_NRLISTAERROS', Param::PARAM_OUTPUT, null, null, 20));
	    $result = $this->execute();
		// clear params
		$this->params = array();
		return $result;
	}
}